Bug 243690 - policycoreutils - Wrong init script
policycoreutils - Wrong init script
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Conklin
Ben Levenson
:
Depends On: 243687
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 09:12 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:03 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 10:51:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-11 09:12:06 EDT
+++ This bug was initially created as a clone of Bug #243687 +++

Description of problem:
The restorecond init script returns some incorrect error codes and some
constructions in it prevent correct status command call. For example:
[ -f /usr/sbin/restorecond ] || exit 0
[ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 Daniel Walsh 2007-09-18 20:40:44 EDT
Fixed in policycoreutils-2.0.26-1.fc8.src.rpm


Note You need to log in before you can comment on or make changes to this bug.